Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## portlets.compoze.groupware.home
Class CalendarSummaryType

    java.lang.Object
      portlets.compoze.groupware.home.CalendarSummaryType

All Implemented Interfaces:
  java.io.Serializable

public class CalendarSummaryType
extends java.lang.Object
implements java.io.Serializable

This class represents the calendar summary type.

See Also:
  Serialized Form

Field Summary
`static CalendarSummaryType` | `THIS_MONTH` This value represents the 'this month' calendar summary type.
`static CalendarSummaryType` | `THIS_WEEK` This value represents the 'this week' calendar summary type.
`static CalendarSummaryType` | `TODAY` This value represents the 'today' calendar summary type.
`static CalendarSummaryType` | `UPCOMING_EVENTS` This value represents the 'upcoming events' calendar summary type.
`static int` | `VALUE_THIS_MONTH` This value represents the 'this month' value.
`static int` | `VALUE_THIS_WEEK` This value represents the 'this week' value.
`static int` | `VALUE_TODAY` This value represents the 'today' value.
`static int` | `VALUE_UPCOMING_EVENTS` This value represents the 'upcoming events' value.

Method Summary
`boolean` | `equals(java.lang.Object o)` Checks for equality.
`static CalendarSummaryType` | `get(int iValue)` Gets the calendar summary type by the value.
`static java.util.List` | `getCalendarSummaryTypes()` Gets the list of calendar summary type objects.
`java.lang.String` | `getKey()` Gets the resource key (message name) for i18n.
`int` | `getValue()` Gets the value of the calendar summary type.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_UPCOMING_EVENTS

    public static final int VALUE_UPCOMING_EVENTS

  This value represents the 'upcoming events' value.

  See Also:
    Constant Field Values

### VALUE_TODAY

    public static final int VALUE_TODAY

  This value represents the 'today' value.

  See Also:
    Constant Field Values

### VALUE_THIS_WEEK

    public static final int VALUE_THIS_WEEK

  This value represents the 'this week' value.

  See Also:
    Constant Field Values

### VALUE_THIS_MONTH

    public static final int VALUE_THIS_MONTH

  This value represents the 'this month' value.

  See Also:
    Constant Field Values

### UPCOMING_EVENTS

    public static final CalendarSummaryType UPCOMING_EVENTS

  This value represents the 'upcoming events' calendar summary type.

### TODAY

    public static final CalendarSummaryType TODAY

  This value represents the 'today' calendar summary type.

### THIS_WEEK

    public static final CalendarSummaryType THIS_WEEK

  This value represents the 'this week' calendar summary type.

### THIS_MONTH

    public static final CalendarSummaryType THIS_MONTH

  This value represents the 'this month' calendar summary type.

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the resource key (message name) for i18n.

  Returns:
    the key

### getValue

    public int getValue()

  Gets the value of the calendar summary type.

  Returns:
    the value (see `VALUE_` constants)

### get

    public static CalendarSummaryType get(int iValue)

  Gets the calendar summary type by the value.

  Parameters:
    `iValue` - the value to get by
  Returns:
    the matching item type or `null` if not found

### getCalendarSummaryTypes

    public static java.util.List getCalendarSummaryTypes()

  Gets the list of calendar summary type objects.

  Returns:
    the list of `CalendarSummaryType` objects (unmodifiable)

### equals

    public boolean equals(java.lang.Object o)

  Checks for equality. The value is used to determine equality.

  Parameters:
    `o` - the object to check
  Returns:
    `true` if this object has the same value as the argument; `false` otherwise
  See Also:
    `getValue()`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Compoze Software, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2003 Compoze Software, Inc. All rights reserved.